B2SUM(1)

NAAM
b2sum - BLAKE2-controlesommen berekenen of controleren

SAMENVATTING
b2sum [OPTIE]... [BESTAND]...

BESCHRIJVING

Toont of controleert BLAKE2b (512-bits) controlesommen.

Zonder BESTAND, of wanneer BESTAND '-' is, wordt standaard invoer gelezen.

Een verplicht argument bij een lange optie is ook verplicht voor de korte optie.

-b, --binary
    in binaire modus lezen

-c, --check
    controlesommen uit BESTAND(en) lezen en controleren

-l, --length=BITS
    lengte van de som in bits; mag niet groter zijn dan het maximum voor het BLAKE2 algoritme, en moet een veelvoud van 8 zijn

--tag
    een controlesom in BSD-stijl genereren

-t, --text
    in tekstmodus lezen (standaard)

-z, --zero
    elke regel afsluiten met 0-byte, niet met nieuwe regel, en bestandsnaam-escapes uitschakelen

  De volgende vijf opties gelden alleen bij het controleren van controlesommen:

--ignore-missing
    ontbrekende bestanden stilzwijgend overslaan

--quiet
    geen 'goed' tonen voor elk met succes gecontroleerd bestand

--status
    niets naar de uitvoer sturen; de afsluitwaarde toont succes

--strict
    met niet-nul afsluiten bij onjuist opgemaakte controlesom regels

-w, --warn
    waarschuwen bij onjuist opgemaakte controlesom regels

--help
    toon de helptekst en stop

--version
    toon programmaversie en stop

De sommen worden berekend zoals beschreven in RFC 7693. Bij het controleren moet de invoer eerdere uitvoer van dit programma zijn. De standaardmodus toont voor elk BESTAND een regel met een controlesom, een teken dat het type aangeeft ('*' voor binair, ' ' voor tekst), en de naam van elk BESTAND.

Noot: op GNU-systemen is er geen verschil tussen binaire- en tekstmodus.

AUTEUR
Geschreven door Padraig Brady en Samuel Neves.

RAPPORTEREN VAN BUGS
Online hulp bij GNU coreutils: <https://www.gnu.org/software/coreutils/>
Meld alle vertaalfouten op <https://translationproject.org/team/nl.html>

ZIE OOK
cksum(1)

Volledige documentatie op: <https://www.gnu.org/software/coreutils/b2sum>
of lokaal via: info '(coreutils) b2sum invocation'

Pakket gemaakt door Debian (9.7-2)
Copyright (c) 2025 Free Software Foundation, Inc.
Licentie GPLv3+: GNU GPL versie 3 of later <https://gnu.org/licenses/gpl.html>
Dit is vrije software: u mag het vrijelijk wijzigen en verder verspreiden.
Deze software kent GEEN GARANTIE, voor zover de wet dit toestaat.

VERTALING
De Nederlandse vertaling van deze handleiding is geschreven door Mario Blättermann <mario.blaettermann@gmail.com> en Luc Castermans <luc.castermans@gmail.com>

Deze vertaling is vrije documentatie; lees de GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) of later over de Copyright-voorwaarden. Er is geen AANSPRAKELIJKHEID.

Indien U fouten in de vertaling van deze handleiding zou vinden, stuur een e-mail naar debian-l10n-dutch@lists.debian.org.